curl --request POST \
--url https://api.connect-crm.com/v1/{target}/{identifier}/attributes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"is_required": true,
"is_unique": true,
"is_multi_select": true,
"default_value": "<string>",
"config": {
"currency": null,
"record_reference": {
"allowed_object_ids": [
"9293961c-df93-4d6d-a2cc-fc3e353b2d10"
]
}
},
"relationship": {
"target_object_id": "9293961c-df93-4d6d-a2cc-fc3e353b2d10",
"inverse_title": "Related Companies",
"cardinality": "many-to-many"
},
"sort_order": 1,
"stages": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"sort_order": 1,
"config": {
"is_closed": true,
"is_won": true,
"is_lost": true
},
"archived_at": "2023-11-07T05:31:56Z"
}
],
"options": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"sort_order": 1,
"archived_at": "2023-11-07T05:31:56Z"
}
]
}
'import requests
url = "https://api.connect-crm.com/v1/{target}/{identifier}/attributes"
payload = {
"title": "<string>",
"description": "<string>",
"is_required": True,
"is_unique": True,
"is_multi_select": True,
"default_value": "<string>",
"config": {
"currency": None,
"record_reference": { "allowed_object_ids": ["9293961c-df93-4d6d-a2cc-fc3e353b2d10"] }
},
"relationship": {
"target_object_id": "9293961c-df93-4d6d-a2cc-fc3e353b2d10",
"inverse_title": "Related Companies",
"cardinality": "many-to-many"
},
"sort_order": 1,
"stages": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"sort_order": 1,
"config": {
"is_closed": True,
"is_won": True,
"is_lost": True
},
"archived_at": "2023-11-07T05:31:56Z"
}
],
"options": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"sort_order": 1,
"archived_at": "2023-11-07T05:31:56Z"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
description: '<string>',
is_required: true,
is_unique: true,
is_multi_select: true,
default_value: '<string>',
config: {
currency: null,
record_reference: {allowed_object_ids: ['9293961c-df93-4d6d-a2cc-fc3e353b2d10']}
},
relationship: {
target_object_id: '9293961c-df93-4d6d-a2cc-fc3e353b2d10',
inverse_title: 'Related Companies',
cardinality: 'many-to-many'
},
sort_order: 1,
stages: [
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
title: '<string>',
sort_order: 1,
config: {is_closed: true, is_won: true, is_lost: true},
archived_at: '2023-11-07T05:31:56Z'
}
],
options: [
{
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
title: '<string>',
sort_order: 1,
archived_at: '2023-11-07T05:31:56Z'
}
]
})
};
fetch('https://api.connect-crm.com/v1/{target}/{identifier}/attributes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": {
"workspace_id": "9293961c-df93-4d6d-a2cc-fc3e353b2d10",
"object_id": "9293961c-df93-4d6d-a2cc-fc3e353b2d10",
"attribute_id": "9293961c-df93-4d6d-a2cc-fc3e353b2d10"
},
"created_at": "2024-09-04T20:45:09Z",
"archived_at": "2024-09-04T20:45:09Z",
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"is_required": true,
"is_unique": true,
"is_multi_select": true,
"is_system_attribute": true,
"config": {
"currency": null,
"record_reference": {
"allowed_object_ids": [
"9293961c-df93-4d6d-a2cc-fc3e353b2d10"
]
}
},
"relationship": {
"id": {
"attribute_id": "9293961c-df93-4d6d-a2cc-fc3e353b2d10",
"object_id": "9293961c-df93-4d6d-a2cc-fc3e353b2d10"
}
},
"sort_order": 1,
"default_value": "Default Value"
}
}{
"statusCode": 400,
"type": "invalid_request_error",
"code": "validation_type",
"requestId": "123e4567-e89b-12d3-a456-426655440000"
}{
"statusCode": 404,
"type": "not_authorized_error",
"code": "not_authorized",
"requestId": "123e4567-e89b-12d3-a456-426655440000"
}{
"statusCode": 403,
"type": "forbidden_error",
"code": "forbidden",
"requestId": "123e4567-e89b-12d3-a456-426655440000"
}{
"statusCode": 404,
"type": "invalid_request_error",
"code": "not_found",
"requestId": "123e4567-e89b-12d3-a456-426655440000"
}{
"statusCode": 409,
"type": "invalid_request_error",
"code": "",
"requestId": "123e4567-e89b-12d3-a456-426655440000"
}{
"statusCode": 500,
"type": "invalid_error",
"code": "",
"requestId": "123e4567-e89b-12d3-a456-426655440000"
}Create an attribute
Creates a new attribute on either an object.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Whether the attributes are on an object.
objects A UUID or slug to identify the object.
Body
The name of the attribute.
255A text description for the attribute.
2000The type of the attribute. This value affects the possible config values.
name, personal-name, website, email-address, text, date, timestamp, number, checkbox, select, multi-select, currency, record-reference, actor-reference, location, phone-number, pipeline, relationship When is_required is true, new records/entries must have a value for this attribute. If false, values may be null. This value does not affect existing data and you do not need to back-fill null values if changing is_required from false to true.
Whether or not new values for this attribute must be unique. Uniqueness restrictions are only applied to new data and do not apply retroactively to previously created data.
Whether or not this attribute can have multiple values. Multiselect is only available on some value types.
The default value for the attribute.
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
Relationship configuration. Required when type is "relationship".
Show child attributes
Show child attributes
The sort order of the attribute. Used to control display order.
0 <= x <= 100001
Stage deltas to reconcile against this Attribute. Required for new pipeline Attributes (≥1 non-archived stage).
Show child attributes
Show child attributes
Option deltas to reconcile against this Attribute. Required for new select / multi-select Attributes (≥1 non-archived option).
Show child attributes
Show child attributes
Response
Success
Show child attributes
Show child attributes